Bug 180085 - [PATCH] devel/py-celery: update to 3.0.20 and take maintainership
Summary: [PATCH] devel/py-celery: update to 3.0.20 and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-29 12:20 UTC by William Grzybowski
Modified: 2013-07-10 18:20 UTC (History)
0 users

See Also:


Attachments
celery.patch (1.39 KB, patch)
2013-06-29 12:20 UTC, William Grzybowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William Grzybowski freebsd_committer 2013-06-29 12:20:00 UTC
	This is an update to 3.0.20.
	I also ask for maintainership.

Fix: See attached patch
Comment 1 Edwin Groothuis freebsd_committer 2013-06-29 12:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-06-29 12:20:09 UTC
Maintainer of devel/py-celery,

Please note that PR ports/180085 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180085

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-06-29 12:20:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 William Grzybowski freebsd_committer 2013-06-29 14:26:00 UTC
Responsible Changed
From-To: freebsd-python->wg

I'll take it.
Comment 5 Alexandros Kosiaris 2013-07-10 16:37:41 UTC
Unfortunately it is true that I no longer have interest in maintaining this
port. So both patch and maintainership change are approved.


On Sat, Jun 29, 2013 at 2:20 PM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of devel/py-celery,
>
> Please note that PR ports/180085 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180085
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 6 dfilter service freebsd_committer 2013-07-10 18:15:11 UTC
Author: wg
Date: Wed Jul 10 17:14:58 2013
New Revision: 322716
URL: http://svnweb.freebsd.org/changeset/ports/322716

Log:
  devel/py-celery: update to 3.0.20
  
  - Update to 3.0.20
  - Take maintainership
  
  Changes: https://github.com/celery/celery/blob/v3.0.20/Changelog
  
  PR:		ports/180085
  Submitted by:	wg (myself)
  Approved by:	maintainer

Modified:
  head/devel/py-celery/Makefile
  head/devel/py-celery/distinfo

Modified: head/devel/py-celery/Makefile
==============================================================================
--- head/devel/py-celery/Makefile	Wed Jul 10 17:11:12 2013	(r322715)
+++ head/devel/py-celery/Makefile	Wed Jul 10 17:14:58 2013	(r322716)
@@ -2,20 +2,20 @@
 # $FreeBSD$
 
 PORTNAME=	celery
-PORTVERSION=	3.0.19
+PORTVERSION=	3.0.20
 CATEGORIES=	devel python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
-MAINTAINER=	akosiaris+ports@gmail.com
+MAINTAINER=	wg@FreeBSD.org
 COMMENT=	Asynchronous task queue/job queue
 
 LICENSE=	BSD
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}amqplib>=0:${PORTSDIR}/net/py-amqplib \
-		${PYTHON_PKGNAMEPREFIX}billiard>=2.7.3.28:${PORTSDIR}/devel/py-billiard \
+		${PYTHON_PKGNAMEPREFIX}billiard>=2.7.3.30:${PORTSDIR}/devel/py-billiard \
 		${PYTHON_PKGNAMEPREFIX}dateutil>=1.5:${PORTSDIR}/devel/py-dateutil \
-		${PYTHON_PKGNAMEPREFIX}kombu>=2.5.10:${PORTSDIR}/net/py-kombu \
+		${PYTHON_PKGNAMEPREFIX}kombu>=2.5.12:${PORTSDIR}/net/py-kombu \
 		${PYTHON_PKGNAMEPREFIX}memcached>=0:${PORTSDIR}/databases/py-memcached
 
 USE_PYTHON=	yes

Modified: head/devel/py-celery/distinfo
==============================================================================
--- head/devel/py-celery/distinfo	Wed Jul 10 17:11:12 2013	(r322715)
+++ head/devel/py-celery/distinfo	Wed Jul 10 17:14:58 2013	(r322716)
@@ -1,2 +1,2 @@
-SHA256 (celery-3.0.19.tar.gz) = 70ce2ff1143d964378b3e50817366256a036e78422e85cd89724d5e6ef022e55
-SIZE (celery-3.0.19.tar.gz) = 1242004
+SHA256 (celery-3.0.20.tar.gz) = a401afb35fb909710a1483f2a2657c9f72010e307985b42125c04547fb935727
+SIZE (celery-3.0.20.tar.gz) = 1094641
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 William Grzybowski freebsd_committer 2013-07-10 18:15:13 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!